accrue.analysis.ast

## Class AccrueNodeFactory_c

- java.lang.Object
- - polyglot.ast.AbstractNodeFactory_c
  - - polyglot.ast.NodeFactory_c
    - - accrue.analysis.ast.AccrueNodeFactory_c

- All Implemented Interfaces:
    AccrueNodeFactory, polyglot.ast.NodeFactory

      public class AccrueNodeFactory_c
      extends polyglot.ast.NodeFactory_c
      implements AccrueNodeFactory

- - ### Field Summary

    - ### Fields inherited from class polyglot.ast.NodeFactory_c

      `emptyDelFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccrueNodeFactory_c(polyglot.ast.ExtFactory extFactory)`
    `AccrueNodeFactory_c(polyglot.ast.ExtFactory extFactory, polyglot.ast.DelFactory delFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `polyglot.ast.Call` | `Call(polyglot.util.Position pos, polyglot.ast.Receiver target, polyglot.ast.Id name, java.util.List<polyglot.ast.Expr> args)`
    `polyglot.ast.Catch` | `Catch(polyglot.util.Position pos, polyglot.ast.Formal formal, polyglot.ast.Block body)`
    `polyglot.ast.ConstructorCall` | `ConstructorCall(polyglot.util.Position pos, polyglot.ast.ConstructorCall.Kind kind, polyglot.ast.Expr outer, java.util.List<polyglot.ast.Expr> args)`
    `polyglot.ast.New` | `New(polyglot.util.Position pos, polyglot.ast.Expr outer, polyglot.ast.TypeNode objectType, java.util.List<polyglot.ast.Expr> args, polyglot.ast.ClassBody body)`
    `Suppress` | `Suppress(polyglot.util.Position pos, java.util.List<polyglot.ast.TypeNode> suppressExs, polyglot.ast.Expr expr)`
    `polyglot.ast.Try` | `Try(polyglot.util.Position pos, polyglot.ast.Block tryBlock, java.util.List<polyglot.ast.Catch> catchBlocks, polyglot.ast.Block finallyBlock)`

    - ### Methods inherited from class polyglot.ast.NodeFactory_c

      `AmbAssign, AmbExpr, AmbPrefix, AmbQualifierNode, AmbReceiver, AmbTypeNode, ArrayAccess, ArrayAccessAssign, ArrayInit, ArrayTypeNode, Assert, Assign, Binary, Block, BooleanLit, Branch, CanonicalTypeNode, Case, Cast, CharLit, ClassBody, ClassDecl, ClassLit, composeExts, Conditional, ConstructorDecl, del, delFactory, Do, Empty, Eval, ext, extFactory, Field, FieldAssign, FieldDecl, findExtFactInstance, FloatLit, For, Formal, Id, If, Import, initEnums, Initializer, Instanceof, IntLit, Labeled, lang, Local, LocalAssign, LocalClassDecl, LocalDecl, MethodDecl, NewArray, NullLit, PackageNode, Return, SourceCollection, SourceFile, Special, StringLit, Switch, SwitchBlock, Synchronized, Throw, Unary, While`

    - ### Methods inherited from class polyglot.ast.AbstractNodeFactory_c

      `AmbExpr, AmbPrefix, AmbPrefix, AmbPrefix, AmbQualifierNode, AmbQualifierNode, AmbQualifierNode, AmbReceiver, AmbReceiver, AmbReceiver, AmbTypeNode, AmbTypeNode, AmbTypeNode, ArrayInit, Assert, Block, Branch, Branch, Break, Break, Break, Call, Call, Call, Call, Call, Call, Call, ClassDecl, ConstructorCall, ConstructorDecl, Continue, Continue, Continue, Default, disamb, ExprFromQualifiedName, Field, Field, Field, FieldDecl, FieldDecl, FieldDecl, Formal, If, Labeled, Local, LocalDecl, LocalDecl, LocalDecl, MethodDecl, New, New, New, NewArray, NewArray, NewArray, PrefixFromQualifiedName, QualifierNodeFromQualifiedName, ReceiverFromQualifiedName, Return, SourceFile, SourceFile, Special, Super, Super, SuperCall, SuperCall, This, This, ThisCall, ThisCall, Try, TypeNodeFromQualifiedName, Unary`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface polyglot.ast.NodeFactory

      `AmbAssign, AmbExpr, AmbExpr, AmbPrefix, AmbPrefix, AmbPrefix, AmbPrefix, AmbQualifierNode, AmbQualifierNode, AmbQualifierNode, AmbQualifierNode, AmbReceiver, AmbReceiver, AmbReceiver, AmbReceiver, AmbTypeNode, AmbTypeNode, AmbTypeNode, AmbTypeNode, ArrayAccess, ArrayAccessAssign, ArrayInit, ArrayInit, ArrayTypeNode, Assert, Assert, Assign, Binary, Block, Block, BooleanLit, Branch, Branch, Branch, Break, Break, Break, Call, Call, Call, Call, Call, Call, Call, CanonicalTypeNode, Case, Cast, CharLit, ClassBody, ClassDecl, ClassDecl, ClassLit, Conditional, ConstructorCall, ConstructorDecl, ConstructorDecl, Continue, Continue, Continue, Default, disamb, Do, Empty, Eval, ExprFromQualifiedName, Field, Field, Field, Field, FieldAssign, FieldDecl, FieldDecl, FieldDecl, FieldDecl, FloatLit, For, Formal, Formal, Id, If, If, Import, Initializer, Instanceof, IntLit, Labeled, Labeled, lang, Local, Local, LocalAssign, LocalClassDecl, LocalDecl, LocalDecl, LocalDecl, LocalDecl, MethodDecl, MethodDecl, New, New, New, NewArray, NewArray, NewArray, NewArray, NullLit, PackageNode, PrefixFromQualifiedName, QualifierNodeFromQualifiedName, ReceiverFromQualifiedName, Return, Return, SourceCollection, SourceFile, SourceFile, SourceFile, Special, Special, StringLit, Super, Super, SuperCall, SuperCall, Switch, SwitchBlock, Synchronized, This, This, ThisCall, ThisCall, Throw, Try, TypeNodeFromQualifiedName, Unary, Unary, While`

- - ### Constructor Detail

    - #### AccrueNodeFactory_c

          public AccrueNodeFactory_c(polyglot.ast.ExtFactory extFactory)

    - #### AccrueNodeFactory_c

          public AccrueNodeFactory_c(polyglot.ast.ExtFactory extFactory,
                             polyglot.ast.DelFactory delFactory)

  - ### Method Detail

    - #### Call

          public polyglot.ast.Call Call(polyglot.util.Position pos,
                               polyglot.ast.Receiver target,
                               polyglot.ast.Id name,
                               java.util.List<polyglot.ast.Expr> args)

      Specified by:
        `Call` in interface `polyglot.ast.NodeFactory`
      Overrides:
        `Call` in class `polyglot.ast.NodeFactory_c`

    - #### ConstructorCall

          public polyglot.ast.ConstructorCall ConstructorCall(polyglot.util.Position pos,
                                                     polyglot.ast.ConstructorCall.Kind kind,
                                                     polyglot.ast.Expr outer,
                                                     java.util.List<polyglot.ast.Expr> args)

      Specified by:
        `ConstructorCall` in interface `polyglot.ast.NodeFactory`
      Overrides:
        `ConstructorCall` in class `polyglot.ast.NodeFactory_c`

    - #### New

          public polyglot.ast.New New(polyglot.util.Position pos,
                             polyglot.ast.Expr outer,
                             polyglot.ast.TypeNode objectType,
                             java.util.List<polyglot.ast.Expr> args,
                             polyglot.ast.ClassBody body)

      Specified by:
        `New` in interface `polyglot.ast.NodeFactory`
      Overrides:
        `New` in class `polyglot.ast.NodeFactory_c`

    - #### Try

          public polyglot.ast.Try Try(polyglot.util.Position pos,
                             polyglot.ast.Block tryBlock,
                             java.util.List<polyglot.ast.Catch> catchBlocks,
                             polyglot.ast.Block finallyBlock)

      Specified by:
        `Try` in interface `polyglot.ast.NodeFactory`
      Overrides:
        `Try` in class `polyglot.ast.NodeFactory_c`

    - #### Catch

          public polyglot.ast.Catch Catch(polyglot.util.Position pos,
                                 polyglot.ast.Formal formal,
                                 polyglot.ast.Block body)

      Specified by:
        `Catch` in interface `polyglot.ast.NodeFactory`
      Overrides:
        `Catch` in class `polyglot.ast.NodeFactory_c`

    - #### Suppress

          public Suppress Suppress(polyglot.util.Position pos,
                          java.util.List<polyglot.ast.TypeNode> suppressExs,
                          polyglot.ast.Expr expr)

      Specified by:
        `Suppress` in interface `AccrueNodeFactory`